Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I want to download softwares from Ubuntu Software Center, but all the time I am getting this error message:

The package indexes are currently changed by apt-get.

Please, suggest me what to do.

share|improve this question
    
@B. Roland, Am having the same problem am using Ubuntu 10.10 and after typing what you instructed earlier am still getting the following error E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable) E: Unable to lock directory /var/lib/apt/lists/ samoei@Samphil1:~$ Any solution Roland? –  user13779 Apr 7 '11 at 7:50
    
Edit your question, and add to the description your version of the Ubuntu. After that, please open a terminal(Ctrl + Alt + T or Apps > Associates > Terminal), and type in:sudo apt-get update && sudo apt-get dist-upgrade Does it give any errors? Add them to your question too. –  B. Roland Apr 7 '11 at 11:09
add comment

1 Answer 1

Probably you have some other package management application active, like Synaptic, Update Manager, or apt-get in the terminal. Close all such applications and try again.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.